Mamp e php installato su Leopard Snow

Ciao a tutti

in questi giorni mi sto avvicinando al mondo php + MySQL, da perfetto incompetente  ::) ho attivato PHP sul Mac e digitando l'indirizzo "http://localhost/~nomeutente/sito-di-prova/file-di-test.php" vedo la pagina di servizio che mi informa di un sacco di cose, tra l'altro mi avverte che il php installato sulla macchina è la release "5.3.0".

Ho successivamente installato MAMP, che a naso dovrebbe dare una mano ad un incompetente come me, vedo però che dall'apposita interfaccia, cliccando sul link phpinfo, mi viene visualizzata una pagina (http://localhost:8888/MAMP/?language=Italian) simile alla precedente che però mi avverte che la versione di PHP è la "5.2.11".

Non capisco il significato della cosa:

1. sono installate due versioni di php ed è possibile che esse coesistano sullo stesso sistema?

2. eventualmente c'è un modo per "omologare" la situazione in modo di utilizzare sempre la release più recente e disinstallare quell che non serve?

Buona domenica e grazie.

Giancarlo

inviato 7 anni fa
Giankino
X 0 X

Non so risponderti precisamente dato che non uso pc della apple.

Hai dato un occhio a questa discussione?

http://www.phpnews.it/forum/commenti-e-suggerimenti/php-su-apple-leopard/

risposto 7 anni fa
Mario Santagiuliana
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda